# yjs_editor
This tool uses yjs (A CRDT tool) to provide a WYSIWYG editor which can be used as a  [chat-shared app](https://webxdc.org) as supported by [Delta Chat](https://delta.chat) or [Cheogram](https://cheogram.com). 

<!-- Online demo made from webxdc-x-web-version branch, using https://codeberg.org/WofWca/webxdc-x-web -->
[Online demo](https://webxdc.codeberg.page/editor/@pages-demo)

<img width=200 src=./assets/screenshot.webp>


## Technical Details
- [Prosemirror](https://prosemirror.net/)
- [Yjs](https://yjs.dev/), with the [`webxdc-yjs-provider` library](https://codeberg.org/webxdc/webxdc-yjs-provider)
- [Delta Chat](https://delta.chat)

## Development

install dependecies 
```
npm install
```

run the dev-server, either:

- Simple server

  ```
  npm run dev-mini
  ```

- Advanced server ([`webxdc-dev`](https://github.com/webxdc/webxdc-dev))

  ```
  npm run dev-webxdc-server
  ```

### Building

To create a `.xdc` file that can be send to a chat in any WebXDC-capable app, execute:

```
npm run build
```

The resulting `.xdc` file is saved in the `dist-release/` folder.
Then just send the file to a group or a chat and you are ready to go!
